import request from '../../../utils/request'

// 获取数据源列表
export const getDataSourceList = () =>
  request({
    url: `/jpt/datasource/`,
    method: 'get',
  })

// 删除指定数据源
export const delDataSource = id =>
  request({
    url: `/jpt/datasource/` + id,
    method: 'delete',
  })

// 测试数据源连接
export const testDataSourceConnection = params =>
  request({
    url: '/jpt/datasource/test',
    method: 'post',
    data: { ...params },
  })

// 创建数据源
export const createDataSource = params =>
  request({
    url: `/jpt/datasource/`,
    method: 'post',
    data: { ...params },
  })

export const getJobList = params =>
  request({
    url: `jpt/jobinfo/?page=${params.page}&size=${params.size}`,
    method: 'get',
  })

export const updateJobList = (id, params) =>
  request({
    url: 'jpt/jobinfo/' + id,
    method: 'put',
    data: { ...params },
  })

export const updateJobStatus = params =>
  request({
    url: 'jpt/jobinfo/update_trigger_status/',
    method: 'put',
    data: params,
  })

export const delJob = id =>
  request({
    url: 'jpt/jobinfo/' + id,
    method: 'delete',
  })

export const getJobInfo = id =>
  request({
    url: `jpt/jobinfo/info?job_id=${id}`,
    method: 'get',
  })

export const getTableNamesList = params =>
  request({
    url: `/jpt/datasource/table_names?ds_id=${params}`,
    method: 'post',
  })

export const getTableData = params =>
  request({
    url: `/jpt/datasource/preview?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

export const getTableSchema = params =>
  request({
    url: `/jpt/datasource/table_schema?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

export const getJoblog = params =>
  request({
    url: `/jpt/joblog/?page=${params.page}&size=${params.size}${params.id ? '&job_id=' + params.id : ''
      }`,
    method: 'get',
  })

export const getOnceJoblog = id =>
  request({
    url: `/jpt/joblog/getOnce?run_id=${id}`,
    method: 'get',
  })

export const buildJsonData = params =>
  request({
    url: '/jpt/datax',
    method: 'post',
    data: { ...params },
  })

export const createJob = params =>
  request({
    url: 'jpt/jobinfo/',
    method: 'post',
    data: { ...params },
  })

export const executeOnce = id =>
  request({
    url: `jpt/jobinfo/execute?job_id=${id}`,
    method: 'post',
  })

export const refreshLogsStatus = str =>
  request({
    url: '/jpt/joblog/logs_status/' + str,
    method: 'get',
  })

export const uploadFile = params =>
  request({
    url: '/jpt/files/upload_file',
    method: 'post',
    data: params,
  })

export const getDataSourceInfo = id =>
  request({
    url: `/jpt/datasource/info?ds_id=${id}`,
    method: 'get',
  })

export const updateDataSourceInfo = (id, params) =>
  request({
    url: `/jpt/datasource/${id}`,
    method: 'put',
    data: params
  })

export const getAilabList = () =>
  request({
    url: `jpt/datasource/ailab_table?project_id=${sessionStorage.getItem('project_id')}`,
    method: 'get',
  })

// 获取当前用户所有的项目
export const getUserProjects = () =>
  request({
    url: `/jpt/project?user_id=${sessionStorage.getItem('user_id')}`,
    method: 'get',
  })

// 分享表
export const shareAilab = (params) =>
  request({
    url: `/jpt/datasource/share_ailab`,
    method: 'post',
    data: params
  })

// 倒入表
export const importDatalake = (params) =>
  request({
    url: `/jpt/datasource/import_datalake`,
    method: 'post',
    data: params
  })

// 获取数据湖列表
export const getLakeTable = () =>
  request({
    url: `jpt/datasource/lake_table?project_id=${sessionStorage.getItem('project_id')}`,
    method: 'get',
  })

// 新建ailab表
export const craeteAilab = (params) =>
  request({
    url: `jpt/datasource/create_table`,
    method: 'post',
    data: params
  })

export const ailabTablePreview = (table_name) =>
  request({
    url: `jpt/datasource/preview_ailab_table?table_name=${table_name}`,
    method: 'get',
  })
export const ailabSchema = (table_name) =>
  request({
    url: `jpt/datasource/ailab_table_schema?table_name=${table_name}`,
    method: 'get',
  })

export const lakeTablePreview = (table_name) =>
  request({
    url: `jpt/datasource/preview_lake_table?table_name=${table_name}`,
    method: 'get',
  })
export const lakeSchema = (table_name) =>
  request({
    url: `jpt/datasource/lake_table_schema?table_name=${table_name}`,
    method: 'get',
  })

export const getAllShareProject = () =>
  request({
    url: `jpt/project/share_projects`,
    method: 'get',
  })

