import request from '../../../utils/request'
// 新建项目组
export const createProject = params =>
  request({
    url: `/jpt/project/create_project`,
    method: 'post',
    data: params
  })

// 获取当前用户所有的项目
export const getUserProjects = () =>
  request({
    url: `/jpt/project?user_id=${sessionStorage.getItem('user_id')}`,
    method: 'get',
  })

//获取当前项目的信息
export const getProjectInfo = () =>
  request({
    url: `/jpt/project/info?project_id=${sessionStorage.getItem('project_id')}`,
    method: 'get',
  })

//获取当前项目的成员
export const getProjectUsers = () =>
  request({
    url: `/jpt/users/project_users?project_id=${sessionStorage.getItem('project_id')}`,
    method: 'get',
  })

//获取不在项目中的成员
export const getRetrieveUsers = () =>
  request({
    url: `/jpt/users/retrieve_users?project_id=${sessionStorage.getItem('project_id')}`,
    method: 'get',
  })

//添加成员
export const addProjectMembers = (params) =>
  request({
    url: `/jpt/users/add_project_users`,
    method: 'post',
    data: params
  })

// 更新项目名字
export const updateProject = (params) => request({
  url: '/jpt/project/update_project',
  method: 'put',
  data: params
})

//添加管理员
export const setAdmin = (params) => request({
  url: '/jpt/users/set_user_to_admin',
  method: 'put',
  data: params
})

//移除管理员
export const removeAdmin = (params) => request({
  url: '/jpt/users/remove_user_to_admin',
  method: 'put',
  data: params
})

//移除成员
export const removeProjectUser = (params) => request({
  url: '/jpt/users/remove_project_users',
  method: 'delete',
  data: params
})

// 切换角色的时候获取角色身份
export const getUserRole = () => request({
  url: `/jpt/project/switch?project_id=${sessionStorage.getItem('project_id')}&user_id=${sessionStorage.getItem('user_id')}`,
  method: 'get',
})